Page MenuHomeMiraheze

Statistics are incorrect and won't update on large wikis
Closed, ResolvedPublic

Description

I'm opening this task because Paladox asked me in T4299. It seems there's a issue with large wiki's (as my own, nonciclopedia.org) preventing statistics from being updated correctly, and even running initSiteStats.php and updateArticleCount.php didn't work as expected because, for example, the number of content pages should be close to 14,890, but it was roughly 12,000 before running the scripts and after that it's 14,839.

Event Timeline

John triaged this task as Normal priority.May 1 2019, 01:10
Paladox claimed this task.May 3 2019, 22:54
Wedhro added a comment.Jul 31 2019, 07:34

My 2 cents: its seems like new data is being recorded (more or less) correctly, but the starting numbers after we moved to Miraheze were wrong so the total count is wrong too.

I'm recording data by hand month by month since I posted this, and it's clear how, for example, before moving to Miraheze we had 14,886 content pages and in the meanwhile 46 more were created, for a total of 14,932 pages; Special:Statistics gives me just 14,889 pages, instead, which is roughly what you get by adding 46 new pages to the 14,839 pages resulting after running the script mentioned above.

Paladox added a comment.Aug 2 2019, 13:47

@Wedhro hi, do you know if when you were on wikia if they set wgArticleCountMethod to any? Would you like us to try setting that to any to see if that corrects the total?

Paladox added a comment.Aug 2 2019, 13:48

@Reception123 nope, i need to add a cron script to manually run this.

Wedhro added a comment.EditedAug 2 2019, 13:52

@Paladox I don't know and I'm quite sure they're not willing to share any info. I'm ok with setting it to "any", it seems to be the most reasonable option anyway.

Paladox added a comment.Aug 2 2019, 13:56

Ok, thanks for replying! I'll go ahead and do it now.

Paladox added a comment.Aug 2 2019, 14:01

@Wedhro content pages count is now 14,926

Wedhro added a comment.Aug 2 2019, 14:08

Close enough. The other stats are still incorrect, though:

  • Total number of pages is 170,448 but it should be 172,398
  • Number of files is 49,949 but it should be 50,264
  • Number of edits is 2,200,432 but it should be 2,585,754

As a minor note:

At ucronias.miraheze.org I have noticed that Special:Statistics states that I have 1884 pages of content. While PAGESINNS shows an approximate of 817 pages of content (mostly are Disambiguations). The actual number of articles ranges from 800 to 825 articles (this category shows a close approximation). I'm exposing it because I don't know if it's related.

Reception123 renamed this task from Statistics are incorrect and won't update on large wiki's to Statistics are incorrect and won't update on large wikis.Nov 29 2019, 06:30
Paladox closed this task as Resolved.Jan 15 2020, 16:32

Hello,

Sorry for the long delay, done with https://github.com/miraheze/puppet/pull/1188